<?xml version="1.0" encoding="utf-8"?>
<!--
    Copyright 2018 The Android Open Source Project

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->

<resources>
    <!-- Weight of the main content in the illustration_layout -->
    <integer name="content_weight">7</integer>

    <!-- Weight of the illustration logo/video in the illustration_layout -->
    <integer name="illustration_weight">5</integer>

    <!-- Timeout to clear invalid lock pin/pattern/password -->
    <integer name="clear_content_timeout_ms">2000</integer>

    <!-- user switcher column number TODO: move to support library-->
    <integer name="user_switcher_num_col">3</integer>

    <!-- Number of times to select build number before enabling developer settings -->
    <integer name="enable_developer_settings_click_count">7</integer>

    <!-- Number of times to select build number before toast appears -->
    <integer name="enable_developer_settings_clicks_to_show_toast_count">3</integer>

    <!-- Maximum ems value for all settings buttons -->
    <integer name="button_max_ems">9</integer>

    <!-- Ems value for data usage bytes threshold picker -->
    <integer name="data_usage_bytes_threshold_ems">15</integer>

    <!-- Maximum size in pixels of default app icons -->
    <integer name="default_app_safe_icon_size">500</integer>

    <!-- Millisecond interval between app data update -->
    <integer name="millisecond_app_data_update_interval">500</integer>

    <!-- Millisecond interval between app data update -->
    <integer name="millisecond_max_app_load_wait_interval">5000</integer>

    <!-- Maximum number of networks to be shown in LimitedWifiEntryListPreferenceController -->
    <integer name="limited_wifi_entry_list_count">3</integer>

    <!-- Maximum number of apps to be shown in CameraRecentAccessesPreferenceController -->
    <integer name="recent_camera_access_apps_list_count">2</integer>

    <!-- Maximum number of apps to be shown in RecentNotificationsAppsPreferenceController -->
    <integer name="recent_notifications_apps_list_count">3</integer>

    <!-- Maximum number of apps to be shown in LocationRecentAccessesPreferenceController -->
    <integer name="recent_location_access_apps_list_count">2</integer>

    <!-- Maximum number of apps to be shown in MicrophoneRecentAccessesPreferenceController -->
    <integer name="recent_microphone_access_apps_list_count">2</integer>

    <!-- Maximum number of days old for a notification to be shown in
     RecentNotificationsAppsPreferenceController -->
    <integer name="recent_notifications_days_threshold">3</integer>

    <!-- Maximum number of apps to be shown in RecentAppsItemManager -->
    <integer name="recent_apps_max_count">3</integer>

    <!-- Maximum number of days old for an app to be shown in RecentAppsItemManager -->
    <integer name="recent_apps_days_threshold">1</integer>

    <!-- Maximum number of device policies to be shown on ADD_DEVICE_ADMIN screen -->
    <integer name="max_device_policies_shown">3</integer>

    <!-- The usage that the audio route selector is for. 1 represents USAGE_MEDIA in
    AudioAttributes. Currently only USAGE_MEDIA is supported for audio routing in the backend. -->
    <integer name="audio_route_selector_usage">1</integer>

    <!-- How long to display the message for the toast of audio route changing.
     1 for LENGTH_LONG and 0 for LENGTH_SHORT. -->
    <integer name="audio_route_toast_duration">0</integer>
</resources>
